# Class IrcCommandHandler | EchoHub Documentation

# Class IrcCommandHandler

Namespace
  EchoHub.Server.Irc

Assembly
  EchoHub.Server.Irc.dll

    public sealed class IrcCommandHandler

Inheritance
  object
  IrcCommandHandler

Inherited Members
  object.GetType()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### IrcCommandHandler(IrcClientConnection, IrcOptions, IChatService, IUserService, IChannelService, IMessageEncryptionService, ILogger)

    public IrcCommandHandler(IrcClientConnection conn, IrcOptions options, IChatService chatService, IUserService userService, IChannelService channelService, IMessageEncryptionService encryption, ILogger logger)

#### Parameters

`conn` IrcClientConnection
`options` IrcOptions
`chatService` IChatService
`userService` IUserService
`channelService` IChannelService
`encryption` IMessageEncryptionService
`logger` ILogger

## Methods

### RunAsync(CancellationToken)

    public Task RunAsync(CancellationToken ct)

#### Parameters

`ct` CancellationToken

#### Returns

Task